## docpurge 1.1

=== Makefile ===
all:

clean:

install:
	install -d $(DESTDIR)/usr/sbin
	install -m 755 docpurge $(DESTDIR)/usr/sbin/docpurge
	install -d $(DESTDIR)/etc/apt/apt.conf.d
	install -m 644 99-docpurge $(DESTDIR)/etc/apt/apt.conf.d/99-docpurge

=== debian/changelog ===
docpurge (1.1) unstable; urgency=low

  * Run docpurge from postinst.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri,  5 May 2006 18:21:28 +0300

docpurge (1.0) unstable; urgency=low

  * New.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri,  5 May 2006 16:44:18 +0300

=== debian/control ===
Source: docpurge
Section: admin
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends-Indep: debmake
Standards-Version: 3.5.10

Package: docpurge
Architecture: all
Depends: dpkg (>= 1.9.7)
Description: Automatically remove unwanted documentation
 Installing this package will add a hook to apt so that all of
 /usr/share/{doc,man,info} will be removed after every invocation of
 dpkg (by apt).  It also includes the command /usr/sbin/docpurge that
 can be called manually to perform the cleaning.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

build:
	$(checkdir)
	$(MAKE)

clean:
	$(checkdir)
	$(MAKE) clean
	-rm -rf debian/tmp
	-rm -rf debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	$(MAKE) install DESTDIR=$(PWD)/debian/tmp
	debstd -m -c
	dpkg-gencontrol -isp -pdocpurge
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
